changeset 2919:8fd6925ae32f

Fixed test-extdiff. diff-like tools usually return 1 if differences are found. Currently the extdiff returns 256, but that's a different topic (consolidating return code handling in hg).
author Thomas Arendsen Hein <thomas@intevation.de>
date Tue, 15 Aug 2006 16:04:47 +0200
parents 02e239bbd7f9
children 05f357b70cb0
files tests/test-extdiff tests/test-extdiff.out
diffstat 2 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-extdiff	Tue Aug 15 00:03:48 2006 -0700
+++ b/tests/test-extdiff	Tue Aug 15 16:04:47 2006 +0200
@@ -23,4 +23,4 @@
 echo b >> a
 hg ci -d '1 0' -mtest2
 
-hg falabala -r 0:1
+hg falabala -r 0:1 || echo "diff-like tools yield a non-zero exit code"
--- a/tests/test-extdiff.out	Tue Aug 15 00:03:48 2006 -0700
+++ b/tests/test-extdiff.out	Tue Aug 15 16:04:47 2006 +0200
@@ -29,3 +29,4 @@
 making snapshot of 1 files from rev e27a2475d60a
 making snapshot of 1 files from rev 5e49ec8d3f05
 diffing a.e27a2475d60a a.5e49ec8d3f05
+diff-like tools yield a non-zero exit code